<?php

namespace Drupal\bibcite_entity\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBase;

/**
 * Defines the Contributor role entity.
 *
 * @ConfigEntityType(
 *   id = "bibcite_contributor_role",
 *   label = @Translation("Contributor role"),
 *   handlers = {
 *     "list_builder" = "Drupal\bibcite_entity\ContributorRoleListBuilder",
 *     "form" = {
 *       "add" = "Drupal\bibcite_entity\Form\ContributorRoleForm",
 *       "edit" = "Drupal\bibcite_entity\Form\ContributorRoleForm",
 *       "delete" = "Drupal\bibcite_entity\Form\ContributorRoleDeleteForm"
 *     },
 *     "route_provider" = {
 *       "html" = "Drupal\bibcite_entity\ContributorRoleHtmlRouteProvider",
 *     },
 *   },
 *   config_prefix = "bibcite_contributor_role",
 *   admin_permission = "administer reference entities",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "canonical" = "/admin/config/bibcite/settings/contributor/role/{bibcite_contributor_role}",
 *     "add-form" = "/admin/config/bibcite/settings/contributor/role/add",
 *     "edit-form" = "/admin/config/bibcite/settings/contributor/role/{bibcite_contributor_role}/edit",
 *     "delete-form" = "/admin/config/bibcite/settings/contributor/role/{bibcite_contributor_role}/delete",
 *     "collection" = "/admin/config/bibcite/settings/contributor/role"
 *   }
 * )
 */
class ContributorRole extends ConfigEntityBase implements ContributorRoleInterface {

  /**
   * The Contributor role ID.
   *
   * @var string
   */
  protected $id;

  /**
   * The Contributor role label.
   *
   * @var string
   */
  protected $label;

}
